org.apache.xmlgraphics.ps

## Class PSPageDeviceDictionary

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.apache.xmlgraphics.ps.PSDictionary
      - - org.apache.xmlgraphics.ps.PSPageDeviceDictionary

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map

      public class PSPageDeviceDictionary
      extends PSDictionary

  Postscript page device dictionary object This object is used by the postscript renderer to hold postscript page device values. It can also be used to minimize the number of setpagedevice calls when DSC compliance is false.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSPageDeviceDictionary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.lang.String` | `getContent()` Returns a dictionary string with containing all unwritten content note: unnecessary writes are important as there is a device specific initgraphics call by the underlying postscript interpreter on every setpagedevice call which can result in blank pages etc.
    `boolean` | `isEmpty()` Returns `true` if this map contains no key-value mappings.
    `java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
    `void` | `putAll(java.util.Map m)`
    `void` | `setFlushOnRetrieval(boolean flushOnRetrieval)` The contents of the dictionary are flushed when written

    - ### Methods inherited from class org.apache.xmlgraphics.ps.PSDictionary

      `equals, hashCode, toString, valueOf`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, keySet, merge, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PSPageDeviceDictionary

          public PSPageDeviceDictionary()

  - ### Method Detail

    - #### put

          public java.lang.Object put(java.lang.Object key,
                                      java.lang.Object value)

      Specified by:
        `put` in interface `java.util.Map`
      Overrides:
        `put` in class `java.util.HashMap`
      Parameters:
        `key` - key with which the specified value is to be associated.
        `value` - value to be associated with the specified key.
      Returns:
        the previous value associated with the key or null
      See Also:
        `Map.put(Object, Object)`

    - #### putAll

          public void putAll(java.util.Map m)

      Specified by:
        `putAll` in interface `java.util.Map`
      Overrides:
        `putAll` in class `java.util.HashMap`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map`
      Overrides:
        `clear` in class `java.util.HashMap`
      See Also:
        `Map.clear()`

    - #### isEmpty

          public boolean isEmpty()

      Returns `true` if this map contains no key-value mappings.
      Specified by:
        `isEmpty` in interface `java.util.Map`
      Overrides:
        `isEmpty` in class `java.util.HashMap`
      Returns:
        `true` if this map contains no key-value mappings.

    - #### setFlushOnRetrieval

          public void setFlushOnRetrieval(boolean flushOnRetrieval)

      The contents of the dictionary are flushed when written
      Parameters:
        `flushOnRetrieval` - boolean value

    - #### getContent

          public java.lang.String getContent()

      Returns a dictionary string with containing all unwritten content note: unnecessary writes are important as there is a device specific initgraphics call by the underlying postscript interpreter on every setpagedevice call which can result in blank pages etc.
      Returns:
        unwritten content dictionary string

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.